
Eina_Bool _efl_canvas_wl_surface_extract(Eo *obj, Comp_Surface *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY(efl_canvas_wl_surface_extract, Eina_Bool, 0);

int _efl_canvas_wl_surface_pid_get(const Eo *obj, Comp_Surface *pd);


static Eina_Value
__eolian_efl_canvas_wl_surface_pid_get_reflect(const Eo *obj)
{
   int val = efl_canvas_wl_surface_pid_get(obj);
   return eina_value_int_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_canvas_wl_surface_pid_get, int, 0);

Efl_Canvas_Wl_Surface *_efl_canvas_wl_surface_parent_surface_get(const Eo *obj, Comp_Surface *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_canvas_wl_surface_parent_surface_get, Efl_Canvas_Wl_Surface *, NULL);

Eina_Bool _efl_canvas_wl_surface_extracted_get(const Eo *obj, Comp_Surface *pd);


static Eina_Value
__eolian_efl_canvas_wl_surface_extracted_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_canvas_wl_surface_extracted_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_canvas_wl_surface_extracted_get, Eina_Bool, 0);

Efl_Object *_efl_canvas_wl_surface_efl_object_constructor(Eo *obj, Comp_Surface *pd);


void _efl_canvas_wl_surface_efl_gfx_entity_visible_set(Eo *obj, Comp_Surface *pd, Eina_Bool v);


void _efl_canvas_wl_surface_efl_gfx_entity_size_set(Eo *obj, Comp_Surface *pd, Eina_Size2D size);


void _efl_canvas_wl_surface_efl_gfx_entity_position_set(Eo *obj, Comp_Surface *pd, Eina_Position2D pos);


static Eina_Bool
_efl_canvas_wl_surface_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_WL_SURFACE_EXTRA_OPS
#define EFL_CANVAS_WL_SURFACE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_canvas_wl_surface_extract, _efl_canvas_wl_surface_extract),
      EFL_OBJECT_OP_FUNC(efl_canvas_wl_surface_pid_get, _efl_canvas_wl_surface_pid_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_wl_surface_parent_surface_get, _efl_canvas_wl_surface_parent_surface_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_wl_surface_extracted_get, _efl_canvas_wl_surface_extracted_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_wl_surface_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, _efl_canvas_wl_surface_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, _efl_canvas_wl_surface_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, _efl_canvas_wl_surface_efl_gfx_entity_position_set),
      EFL_CANVAS_WL_SURFACE_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"pid", NULL, __eolian_efl_canvas_wl_surface_pid_get_reflect},
      {"extracted", NULL, __eolian_efl_canvas_wl_surface_extracted_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_wl_surface_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Wl_Surface",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Comp_Surface),
   _efl_canvas_wl_surface_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_wl_surface_class_get, &_efl_canvas_wl_surface_class_desc, EFL_CANVAS_GROUP_CLASS, NULL);
